Skip to main content
POST
/
v1
/
bots
/
{botId}
/
messages
curl --request POST \
  --url https://api.jelou.ai/v1/bots/BOT_ID/messages \
  --header 'Authorization: Basic <Base64Encoded clientId:clientSecret>' \
  --header 'Content-Type: application/json' \
  --data '{
    "type": "location",
    "coordinates": {
      "lat": 40.7128,
      "long": -74.0060
    },
    "userId": "USER_ID"
  }'
{
  "success": true,
  "messageId": "msg_123456789"
}
curl --request POST \
  --url https://api.jelou.ai/v1/bots/BOT_ID/messages \
  --header 'Authorization: Basic <Base64Encoded clientId:clientSecret>' \
  --header 'Content-Type: application/json' \
  --data '{
    "type": "location",
    "coordinates": {
      "lat": 40.7128,
      "long": -74.0060
    },
    "userId": "USER_ID"
  }'

Notas Importantes

Precisión de Coordenadas: Asegúrate de que las coordenadas sean precisas y estén en formato decimal. Usa valores negativos para latitud sur y longitud oeste.

Casos de Uso

  • Compartir ubicaciones de tiendas con clientes
  • Proporcionar direcciones a eventos o lugares
  • Compartir ubicaciones de recogida o entrega
  • Mostrar puntos de interés cercanos

Authorizations

Authorization
string
header
required

Basic authentication using Base64 encoded clientId:clientSecret

Path Parameters

botId
string
required

The unique identifier of the bot

Body

application/json

Message payload. The structure varies based on the message type.

type
enum<string>
required

Type of message to send

Available options:
text
Example:

"text"

userId
string
required

Unique identifier of the user receiving the message

Example:

"USER_ID"

text
string
required

Text content of the message

Example:

"Hello, this is a text message"

botId
string

Unique identifier of the bot sending the message

Example:

"BOT_ID"

Response

Message sent successfully

success
boolean
Example:

true

messageId
string
Example:

"msg_123456789"